## ros-kinetic-play-motion-msgs 0.4.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(play_motion_msgs)

find_package(catkin REQUIRED COMPONENTS message_generation actionlib_msgs)

add_message_files(DIRECTORY msg FILES MotionInfo.msg)
add_action_files(DIRECTORY action FILES PlayMotion.action)
add_service_files(DIRECTORY srv FILES IsAlreadyThere.srv
                                      ListMotions.srv)
generate_messages(DEPENDENCIES actionlib_msgs)

catkin_package(CATKIN_DEPENDS message_runtime actionlib_msgs)

=== debian/changelog ===
ros-kinetic-play-motion-msgs (0.4.5-0xenial) xenial; urgency=high

  * fixed merge
  * 0.4.4
  * updated changelog
  * Contributors: Hilario Tome

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 10 Jan 2018 23:00:00 -0000

ros-kinetic-play-motion-msgs (0.4.4-0xenial) xenial; urgency=high

  * Update changelog
  * Contributors: Victor Lopez

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 22 Nov 2017 23:00:00 -0000

ros-kinetic-play-motion-msgs (0.4.3-0xenial) xenial; urgency=high

  * Update changelog
  * Contributors: Victor Lopez

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Tue, 29 Mar 2016 22:00:00 -0000

ros-kinetic-play-motion-msgs (0.4.2-0xenial) xenial; urgency=high

  * Update changelog
  * Contributors: Victor Lopez

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 16 Nov 2015 23:00:00 -0000

ros-kinetic-play-motion-msgs (0.4.1-0xenial) xenial; urgency=high

  * Update changelogs
  * Update package maintainer/authors
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 20 Nov 2014 23:00:00 -0000

ros-kinetic-play-motion-msgs (0.4.0-0xenial) xenial; urgency=high

  * Update changelogs
  * Merge pull request #36 from pal-robotics/motion-planning
    MoveIt! integration
  * Merge pull request #32 from pal-robotics/list-motions-srv
    Add service call to query available motions.
  * Add service call to query available motions.
  * Make planning optional. Deprecate reach_time.
    - The action message has a new field: skip_planning, used to request for no
    motion planning to take place, case in which the approach time is
    automatically computed from a specified maximum velocity.
    - The above point means that the reach_time parameter is no longer required,
    hence has been removed from the action goal message.
    - A side-effect of this, is that the reach_time is computed by the approach
    planner, and no longer has to be forwarded all the way down to the
    MoveJointGroup instances.
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Paul Mathieu

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Tue, 22 Apr 2014 22:00:00 -0000

ros-kinetic-play-motion-msgs (0.3.5-0xenial) xenial; urgency=high

  * "0.3.5"
  * Update changelogs
  * Contributors: Paul Mathieu

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 24 Feb 2014 23:00:00 -0000

ros-kinetic-play-motion-msgs (0.3.4-0xenial) xenial; urgency=high

  * "0.3.4"
  * Update changelogs
  * Contributors: Paul Mathieu

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 23 Feb 2014 23:00:00 -0000

ros-kinetic-play-motion-msgs (0.3.3-0xenial) xenial; urgency=high

  * "0.3.3"
  * Update changelogs
  * Merge pull request #10 from pal-robotics/split-msgs
    Split package into play_motion and play_motion_msgs
  * Split package into play_motion and play_motion_msgs
    fixes #9
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Paul Mathieu

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 19 Feb 2014 23:00:00 -0000

ros-kinetic-play-motion-msgs (0.3.2-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Tue, 04 Feb 2014 23:00:00 -0000

ros-kinetic-play-motion-msgs (0.3.1-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 04 Dec 2013 15:48:01 +0100

ros-kinetic-play-motion-msgs (0.3.0-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 27 Nov 2013 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-play-motion-msgs
Section: misc
Priority: extra
Maintainer: Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-actionlib-msgs, ros-kinetic-catkin, ros-kinetic-message-generation
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-play-motion-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-actionlib-msgs, ros-kinetic-message-runtime
Description: Messages, services and actions used by play_motion.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-play-motion-msgs//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
